<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DevicePairingRegistrationData extends \Google\Protobuf\Internal\Message
{
    


    protected $eRegid = null;
    


    protected $eKeytype = null;
    


    protected $eIdent = null;
    


    protected $eSkeyId = null;
    


    protected $eSkeyVal = null;
    


    protected $eSkeySig = null;
    


    protected $buildHash = null;
    


    protected $deviceProps = null;

    















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getERegid()
    {
        return isset($this->eRegid) ? $this->eRegid : '';
    }

    public function hasERegid()
    {
        return isset($this->eRegid);
    }

    public function clearERegid()
    {
        unset($this->eRegid);
    }

    




    public function setERegid($var)
    {
        GPBUtil::checkString($var, False);
        $this->eRegid = $var;

        return $this;
    }

    



    public function getEKeytype()
    {
        return isset($this->eKeytype) ? $this->eKeytype : '';
    }

    public function hasEKeytype()
    {
        return isset($this->eKeytype);
    }

    public function clearEKeytype()
    {
        unset($this->eKeytype);
    }

    




    public function setEKeytype($var)
    {
        GPBUtil::checkString($var, False);
        $this->eKeytype = $var;

        return $this;
    }

    



    public function getEIdent()
    {
        return isset($this->eIdent) ? $this->eIdent : '';
    }

    public function hasEIdent()
    {
        return isset($this->eIdent);
    }

    public function clearEIdent()
    {
        unset($this->eIdent);
    }

    




    public function setEIdent($var)
    {
        GPBUtil::checkString($var, False);
        $this->eIdent = $var;

        return $this;
    }

    



    public function getESkeyId()
    {
        return isset($this->eSkeyId) ? $this->eSkeyId : '';
    }

    public function hasESkeyId()
    {
        return isset($this->eSkeyId);
    }

    public function clearESkeyId()
    {
        unset($this->eSkeyId);
    }

    




    public function setESkeyId($var)
    {
        GPBUtil::checkString($var, False);
        $this->eSkeyId = $var;

        return $this;
    }

    



    public function getESkeyVal()
    {
        return isset($this->eSkeyVal) ? $this->eSkeyVal : '';
    }

    public function hasESkeyVal()
    {
        return isset($this->eSkeyVal);
    }

    public function clearESkeyVal()
    {
        unset($this->eSkeyVal);
    }

    




    public function setESkeyVal($var)
    {
        GPBUtil::checkString($var, False);
        $this->eSkeyVal = $var;

        return $this;
    }

    



    public function getESkeySig()
    {
        return isset($this->eSkeySig) ? $this->eSkeySig : '';
    }

    public function hasESkeySig()
    {
        return isset($this->eSkeySig);
    }

    public function clearESkeySig()
    {
        unset($this->eSkeySig);
    }

    




    public function setESkeySig($var)
    {
        GPBUtil::checkString($var, False);
        $this->eSkeySig = $var;

        return $this;
    }

    



    public function getBuildHash()
    {
        return isset($this->buildHash) ? $this->buildHash : '';
    }

    public function hasBuildHash()
    {
        return isset($this->buildHash);
    }

    public function clearBuildHash()
    {
        unset($this->buildHash);
    }

    




    public function setBuildHash($var)
    {
        GPBUtil::checkString($var, False);
        $this->buildHash = $var;

        return $this;
    }

    



    public function getDeviceProps()
    {
        return isset($this->deviceProps) ? $this->deviceProps : '';
    }

    public function hasDeviceProps()
    {
        return isset($this->deviceProps);
    }

    public function clearDeviceProps()
    {
        unset($this->deviceProps);
    }

    




    public function setDeviceProps($var)
    {
        GPBUtil::checkString($var, False);
        $this->deviceProps = $var;

        return $this;
    }

}

